#ifndef WALNGFILEH
#define WALNGFILEH

#include <windows.h>

typedef unsigned __int64 	QWORD;

#pragma pack(push,1)

typedef struct
{
	QWORD Sign;
	WORD Version[4];
	DWORD LangId;
	DWORD BaseLangId;
	char Name[0x20];
	DWORD StringHeapOffset;
}WALNGHEAD;

#define SignStr 0x0000474E414C4157ui64 //"WALANG\0\0"

typedef struct {
	WORD ID;
	WORD Def;
   	DWORD Table;
	DWORD Size;
	DWORD Reserved;
	wchar_t Name[0x20];
} DefHeadStruct;

#pragma pack(pop)

typedef struct
{
	wchar_t* Name;
	DWORD ID;
	void* Table;
	DWORD LCID;
//	char* FileName;
//	DWORD BaseLangId;
}LANG_DEFo;

#endif
