#include <windows.h>
#include <stdio.h>
#include "wkLocalizer.h"
#include "MadCHook\madCHook - dynamic.h"


char** ResStrTable[256];
extern const LANG_DEF* LangsInit[];
extern LANG_DEF* Langs[];

void CleanResTable(void)
{
	for(int i=0;i<256;i++) if(ResStrTable[i]) free(ResStrTable[i]);
	memset(ResStrTable,0,sizeof(char**)*256);
}

void AddRes(DWORD ID, char* str)
{
	DWORD HI=ID/0x100, LO=ID%0x100;
	if(!ResStrTable[HI]) 
	{
		ResStrTable[HI]=(char**)malloc(sizeof(char*)*256);
		memset(ResStrTable[HI],0,sizeof(char*)*256);
	}
	ResStrTable[HI][LO]=str;
}

char* GetStr(DWORD ID)
{
	DWORD HI=ID/0x100, LO=ID%0x100;
	if(!ResStrTable[HI])return 0;
	return ResStrTable[HI][LO];
}

char* (__fastcall* GetResStringSpace)(void* Xcx,DWORD edx, DWORD Len)= (char*(__fastcall*)(void*,DWORD, DWORD))0x004531C0;

DWORD (__stdcall* GetResStringOld)(void* Xcx, DWORD ID);
PVOID GetResStringStart=(PVOID)0x484290;

DWORD __stdcall GetResString(void* Xcx, DWORD ID)
{
	if(WaLCID!=CustLCID) return GetResStringOld(Xcx,ID);
	char* Strx=GetStr(ID);
	if(!Strx) {
		
		WaLCID=LangsInit[Langs[WaLangId]->BaseLangId]->LCID;
		DWORD Ret=GetResStringOld(Xcx,ID);
		WaLCID=CustLCID;
		return Ret;
	}
	strcpy(GetResStringSpace(Xcx,0,strlen(Strx)),Strx);

	return 1;
}

void HookGetRes()
{
	HookCode(GetResStringStart,GetResString,(PVOID*)&GetResStringOld,0);
}