// 2.cpp:      DLL.
//
#include <windows.h>
#include <stdio.h>

#include "wkLocalizer.h"

#include "MadCHook\madCHook - dynamic.h"
#pragma comment (lib, "version.lib")
#define VV1 3 
#define VV2 6
#define VV3 31
#define VV4 0

extern char** Table14[];
extern char* StringTable[];
extern char** ResStrTable[];

BOOL CheckWAVer(void)
{
		char WApath[MAX_PATH];DWORD h;
		GetModuleFileName(0,WApath,MAX_PATH);
		DWORD Size=GetFileVersionInfoSize(WApath,&h);
		if(Size)
		{
			void* Buf=malloc(Size);
			GetFileVersionInfo(WApath,h,Size,Buf);
			VS_FIXEDFILEINFO *Info;DWORD Is;
			if(VerQueryValue(Buf,"\\",(LPVOID*)&Info,(PUINT)&Is))
			{
				if(Info->dwSignature==0xFEEF04BD)
				{
					if(HIWORD(Info->dwFileVersionMS)==VV1&&LOWORD(Info->dwFileVersionMS)==VV2&&HIWORD(Info->dwFileVersionLS)==VV3&&LOWORD(Info->dwFileVersionLS)==VV4)
						return 1;
				}
			}
		}
	return 0;
}

//Defaults:
LANG_DEF Def1={(char*)0x005E1BCC,1,(PVOID)0x00606910,0x407,0,1};	//deutsch
LANG_DEF Def2={(char*)0x005DCD3C,7,(PVOID)0x006062D8,0x809,0,7};	//english
LANG_DEF Def3={(char*)0x005E1BD4,3,(PVOID)0x00607270,0xC0A,0,3};	//espan
LANG_DEF Def4={(char*)0x005E1BDC,6,(PVOID)0x006065F0,0x40C,0,6};	//french
LANG_DEF Def5={(char*)0x005E1BE8,2,(PVOID)0x00607590,0x410,0,2};	//italia
LANG_DEF Def6={(char*)0x005E1BF4,4,(PVOID)0x00606F50,0x413,0,4};	//nederland
LANG_DEF Def7={(char*)0x005DCD7C,0,(PVOID)0x00606C30,0x416,0,0};	//portug
LANG_DEF Def8={(char*)0x005E1C00,8,(PVOID)0x00607BD0,0x419,0,8};	//russ
LANG_DEF Def9={(char*)0x005E1C08,5,(PVOID)0x006078B0,0x41D,0,5};	//sw

const LANG_DEF* LangsInit[]={&Def7,&Def1,&Def5,&Def3,&Def6,&Def9,&Def4,&Def2,&Def8};


LANG_DEF* Langs[256];

//0x0053F255 select table
PVOID SelectGameStringTableOld;
PVOID SelectGameStringTableStart=(PVOID)0x0053F255;
PVOID SelectGameStringTableEnd=(PVOID)0x0053F40A;
void* (*NewX)(DWORD Size)=(void* (*)(DWORD))0x0050E2F0;

void* Table[2048];

extern void* FuncTable[];

void* __stdcall GetGameStringTable(DWORD Lang)
{
	if(Lang>0xFF) return 0;
	void** TableLc;//=(void**)NewX(4);
	_asm{
		push edi
		mov edi,4
		call NewX
		pop edi
		mov TableLc, eax
	}
	if(!TableLc) return 0;
	*TableLc=Langs[WaLangId]->Table;
	return TableLc;
}

//.rdata:00606310                 dd offset sub_53A5F0

__declspec(naked) void SelectGameStringTableNew()
{
	_asm{
		mov eax,[ebp+0F334h]
		push eax
		call GetGameStringTable
		mov edi,[esp+4Ch]
		mov [edi+94h], eax

		xor ebx,ebx

		push eax						//end mad hook manually....
		push ebx						
		mov eax,[esp+8]
		mov ebx,[eax+1]
		mov [esp+8],ebx
		lock and dword ptr [eax+1],0
		pop ebx
		pop eax

		jmp SelectGameStringTableEnd
	}
}


PVOID AddItemsOld;
PVOID AddItemsStart=(PVOID)0x004AA474;
PVOID AddItemsEnd=(PVOID)0x004AA6B9;

DWORD AIx=0x40D090;
//char aDeutsch[]="Deutsch";
void __stdcall AddItem(char* Strf, DWORD ID)
{						//taken from WA code directly ;)
	_asm{
                push    3E8h            ; int
                mov     ecx, Strf
                mov     edx, edi
				
				call    AIx
                test    eax, eax
                jl      short loc_4AA4B9
                cmp     eax, [edi+3D4h]
                jge     short loc_4AA4B9
                test    eax, eax
                mov     ecx, [edi+3CCh]
                jz      short loc_4AA4A7
                jmp     short loc_4AA4A0
; ---------------------------------------------------------------------------
loc_4AA4A0:                             
                sub     eax, 1
                mov     ecx, [ecx]
                jnz     short loc_4AA4A0
loc_4AA4A7:                             
                test    ecx, ecx
                jz      short loc_4AA4B0
                mov     ecx, [ecx+8]
                jmp     short loc_4AA4B2
; ---------------------------------------------------------------------------
loc_4AA4B0:                             
                xor     ecx, ecx
loc_4AA4B2:                             
				mov		eax, ID
                mov     dword ptr [ecx+4], eax  //1
loc_4AA4B9:                             
	}
}

void GetFiles(void);

void FillBox()
{
	//defaults
	AddItem(Langs[1]->Name,Langs[1]->ID);
	AddItem(Langs[7]->Name,Langs[7]->ID);
	AddItem(Langs[3]->Name,Langs[3]->ID);
	AddItem(Langs[6]->Name,Langs[6]->ID);
	AddItem(Langs[2]->Name,Langs[2]->ID);
	AddItem(Langs[4]->Name,Langs[4]->ID);
	AddItem(Langs[0]->Name,Langs[0]->ID);
	AddItem(Langs[8]->Name,Langs[8]->ID);
	AddItem(Langs[5]->Name,Langs[5]->ID);
//	GetFiles();
	for(int i=9;i<256;i++)
	{
		if(Langs[i])AddItem(Langs[i]->Name,Langs[i]->ID); 
	}
}

//id 0x008BBB0C
////set locale and id proc 0x00484360

//0x00484290 load res string ()
//0x004531C0 alloc string (len)

//set locale and id proc 0x00484360
extern void LoadLang();
DWORD __stdcall SetLangNew(DWORD* Old, DWORD New)
{
	if(Old[1]!=New) {Old[1]=New; LoadLang(); return 1;} 
	else return 0;
}

PVOID SetLangOld;
PVOID SetLangStart=(PVOID)0x00484360;

__declspec(naked) void SetLangNewProxyIn()
{
	__asm{
		push eax
		push ecx
		call SetLangNew
		ret
	}
}


__declspec(naked) void AddItemsNew()
{
	_asm{

		call FillBox
		push eax						//end mad hook manually....
		push ebx						
		mov eax,[esp+8]
		mov ebx,[eax+1]
		mov [esp+8],ebx
		lock and dword ptr [eax+1],0
		pop ebx
		pop eax

		jmp AddItemsEnd
	}
}

//0x484410 init lang
PVOID InitLangOld;
PVOID InitLangStart=(PVOID)0x00484410;

__declspec(naked) void InitLang()
{
	__asm{
		call InitLangOld
		call LoadLang
		ret
	}
}

void GetFiles(void)
{
		char WApath[MAX_PATH];
		GetModuleFileName(0,WApath,MAX_PATH);
		char* Pxx=strrchr(WApath,'\\')+1;
		*(Pxx)=0;
		strcat(WApath,"Languages\\"); Pxx=WApath+strlen(WApath);
		strcat(WApath,"*.WAlang");
		WIN32_FIND_DATA fd;
		HANDLE fh=FindFirstFile(WApath,&fd);
		if(fh==INVALID_HANDLE_VALUE) return;
		do{
			*(Pxx)=0;strcat(WApath,fd.cFileName);
			FILE* F=fopen(WApath,"rb");
			if(!F)continue;
			WALNGHEAD Head;
		
			if(!fread(&Head,sizeof(Head),1,F)){fclose(F);continue;};
			if(Head.Sign!=SignStr)
			{
				char Str[MAX_PATH+40];
				sprintf(Str,"Bad language file or version unknown:\n%s",Pxx);
				MessageBox(0,Str,"Error detected.",MB_OK|MB_ICONERROR);
				fclose(F);continue;
			}
			if(Langs[Head.LangId]&&Langs[Head.LangId]->FileName) 
			{
				char Str[MAX_PATH*2+30];
				sprintf(Str,"Collision detected:\n%s\n%s",Pxx,strrchr(Langs[Head.LangId]->FileName,'\\')+1);
				MessageBox(0,Str,"Error detected.",MB_OK|MB_ICONERROR);
				fclose(F);continue;
			}
			if(Head.Version[0]!=VV1||Head.Version[1]!=VV2||Head.Version[2]!=VV3||Head.Version[3]!=VV4) 
			{
				char Str[MAX_PATH*2+30];
				sprintf(Str,"Language file '%s' has version %d.%d.%d.%d, game version is %d.%d.%d.%d.",Pxx,
					Head.Version[0],Head.Version[1],Head.Version[2],Head.Version[3],VV1,VV2,VV3,VV4);
				MessageBox(0,Str,"Warning.",MB_OK|MB_ICONWARNING);
			}
			LANG_DEF* Def=(LANG_DEF*)malloc(sizeof(LANG_DEF));
			char *Nm=(char*)malloc(0x20);
			char *Fl=(char*)malloc(MAX_PATH);
			strcpy(Nm,&Head.Name[0]);
			strcpy(Fl,WApath);
			Def->ID=Head.LangId;
			Def->BaseLangId=Head.BaseLangId;
			Def->LCID=CustLCID;
			Def->Name=Nm;
			Def->FileName=Fl;
			Def->Table=FuncTable;
			Langs[Head.LangId]=Def;
			fclose(F);
		}while(FindNextFile(fh,&fd));
		FindClose(fh);
}



PVOID CheckIdOld;
PVOID CheckIdStart=(PVOID)0x004A73E1;
PVOID CheckIdEnd=(PVOID)0x004A73F0;
PVOID WaSetLang=(PVOID)0x00484360;

__declspec(naked) void CheckIdNew()
{
	_asm{
		cmp eax,0FFh
		jnb cont 
		cmp [Langs+eax*4],0
		jz cont
		mov ecx,8BBB08h
		call WaSetLang
cont:
		push eax						//end mad hook manually....
		push ebx						
		mov eax,[esp+8]
		mov ebx,[eax+1]
		mov [esp+8],ebx
		lock and dword ptr [eax+1],0
		pop ebx
		pop eax

		jmp CheckIdEnd
	}
}



extern void FreeAll();
//extern void LoadLang(DWORD LangId);
extern void HookGetRes();
BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	if(ul_reason_for_call==DLL_PROCESS_ATTACH)
	{
		if(!CheckWAVer())
		{
			MessageBox(0,"This wkLocalizer is not compatible with used version of game!","Noob detected.",MB_OK|MB_ICONERROR);
			return 1;
		}
		memset(Langs,0,256*sizeof(LANG_DEF*));
		memset(Table14,0,15*sizeof(char**));
		memset(StringTable,0,200*sizeof(char*));
		memset(ResStrTable,0,256*sizeof(char**));
		memcpy(Langs,LangsInit,sizeof(LangsInit));
		HookCode(AddItemsStart,AddItemsNew,&AddItemsOld,0);
		HookCode(SelectGameStringTableStart,SelectGameStringTableNew,&SelectGameStringTableOld,0);
		if(!HookCode(SetLangStart,SetLangNewProxyIn,&SetLangOld,0)) MessageBox(0,"Error","Error",0);
		HookCode(InitLangStart,InitLang,&InitLangOld,0);
		HookCode(CheckIdStart,CheckIdNew,&CheckIdOld,0);
		HookGetRes();
		GetFiles();
	}
	if(ul_reason_for_call==DLL_PROCESS_DETACH)
	{
		for(int i=0;i<256;i++)
		{
			if(Langs[i])
				if(Langs[i]->FileName)
				{
					free(Langs[i]->Name);
					free(Langs[i]->FileName);
					free(Langs[i]);
				} 
		}		
		FinalizeMadCHook();
	}
	return 1;
}


